#ifndef _SERIAL_LIB_H_
#define _SERIAL_LIB_H_

#include <stdio.h>	/* printf, snprintf */
#include <fcntl.h>	/* open, read */
#include <unistd.h>	/* write, close */
#include <string.h>	/* strlen */
#include <stdlib.h>	/* malloc */
#include <termios.h>
#include <signal.h>	/* struct sigaction */

#define FALSE 0
#define TRUE !FALSE

/* ----- GLOBAL VARIABLES ----- */
/* File handle */
int tty;
volatile int newline;

int TTY_Setup(int tty);
int TTY_Init(char *IF);
char *TTY_Read(int tty, int len);
int TTY_Write(int tty, void *buf, int len);
int TTY_Close(int tty);
#endif
