# -*-makefile-*-
#
# Copyright (C) 2012 by TQ Systems GmbH
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX35_SDMA_FIRMWARE) += imx35-sdma-firmware

#
# Paths and names
#
IMX35_SDMA_FIRMWARE_VERSION	:= 4aede1e
IMX35_SDMA_FIRMWARE_MD5	:=
IMX35_SDMA_FIRMWARE		:= sdma-firmware-$(IMX35_SDMA_FIRMWARE_VERSION)
IMX35_SDMA_FIRMWARE_SUFFIX	:= tar.gz
IMX35_SDMA_FIRMWARE_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/$(IMX35_SDMA_FIRMWARE).$(IMX35_SDMA_FIRMWARE_SUFFIX)
# IMX35_SDMA_FIRMWARE_SOURCE	:= $(SRCDIR)/$(IMX35_SDMA_FIRMWARE).$(IMX35_SDMA_FIRMWARE_SUFFIX)
IMX35_SDMA_FIRMWARE_DIR	:= $(CROSS_BUILDDIR)/imx35-$(IMX35_SDMA_FIRMWARE)
IMX35_SDMA_FIRMWARE_MD5	:= 9a6a0aa378b5083c4eb1915f68095f90
# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(IMX35_SDMA_FIRMWARE_SOURCE):
#	@$(call targetinfo)
#	@$(call get, IMX35_SDMA_FIRMWARE)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

CROSS_IMX35_SDMA_FIRMWARE_CONF_TOOL	:= NO

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
CROSS_IMX35_SDMA_FIRMWARE_MAKE_OPT	:= all
CROSS_IMX35_SDMA_FIRMWARE_MAKE_ENV	:= 

#$(STATEDIR)/imx35-sdma-firmware.compile:
#	@$(call targetinfo)
#	@$(call world/compile, IMX35_SDMA_FIRMWARE)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx35-sdma-firmware.install:
	@$(call targetinfo)
#	@$(call world/install, IMX35_SDMA_FIRMWARE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx35-sdma-firmware.targetinstall:
	@$(call targetinfo)
	@$(call install_init, imx35-sdma-firmware)
	@$(call install_fixup,imx35-sdma-firmware,PRIORITY,optional)
	@$(call install_fixup,imx35-sdma-firmware,SECTION,base)
	@$(call install_fixup,imx35-sdma-firmware,AUTHOR,"Markus niebel <markus.niebel@tqs.de>")
	@$(call install_fixup,imx35-sdma-firmware,DESCRIPTION,missing)

	@$(call install_copy, imx35-sdma-firmware, 0, 0, 0755, \
		/lib/firmware/imx/sdma)
	@$(call install_copy, imx35-sdma-firmware, 0, 0, 0644, \
		$(IMX35_SDMA_FIRMWARE_DIR)/sdma-imx35-to1.bin, \
		/lib/firmware/imx/sdma/sdma-imx35-to1.bin)
	@$(call install_copy, imx35-sdma-firmware, 0, 0, 0644, \
		$(IMX35_SDMA_FIRMWARE_DIR)/sdma-imx35-to2.bin, \
		/lib/firmware/imx/sdma/sdma-imx35-to2.bin)
	@$(call install_finish,imx35-sdma-firmware)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/imx35-sdma-firmware.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IMX35_SDMA_FIRMWARE)

# vim: syntax=make
