# -*-makefile-*-
#
# Copyright (C) 2012 by TQ Systems GmbH
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX53_SDMA_FIRMWARE) += imx53-sdma-firmware

#
# Paths and names
#
IMX53_SDMA_FIRMWARE_VERSION	:= 4aede1e
IMX53_SDMA_FIRMWARE		:= sdma-firmware-$(IMX53_SDMA_FIRMWARE_VERSION)
IMX53_SDMA_FIRMWARE_SUFFIX	:= tar.gz
IMX53_SDMA_FIRMWARE_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/$(IMX53_SDMA_FIRMWARE).$(IMX53_SDMA_FIRMWARE_SUFFIX)
# IMX_SDMA_FIRMWARE_SOURCE	:= $(SRCDIR)/$(IMX53_SDMA_FIRMWARE).$(IMX53_SDMA_FIRMWARE_SUFFIX)
IMX53_SDMA_FIRMWARE_DIR	:= $(CROSS_BUILDDIR)/imx53-$(IMX53_SDMA_FIRMWARE)
IMX53_SDMA_FIRMWARE_MD5	:= 9a6a0aa378b5083c4eb1915f68095f90
# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(IMX53_SDMA_FIRMWARE_SOURCE):
#	@$(call targetinfo)
#	@$(call get, IMX53_SDMA_FIRMWARE)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

CROSS_IMX53_SDMA_FIRMWARE_CONF_TOOL	:= NO

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
CROSS_IMX53_SDMA_FIRMWARE_MAKE_OPT	:= all
CROSS_IMX53_SDMA_FIRMWARE_MAKE_ENV	:= 

#$(STATEDIR)/imx53-sdma-firmware.compile:
#	@$(call targetinfo)
#	@$(call world/compile, IMX53_SDMA_FIRMWARE)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx53-sdma-firmware.install:
	@$(call targetinfo)
#	@$(call world/install, IMX_SDMA_FIRMWARE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx53-sdma-firmware.targetinstall:
	@$(call targetinfo)
	@$(call install_init, imx53-sdma-firmware)
	@$(call install_fixup,imx53-sdma-firmware,PRIORITY,optional)
	@$(call install_fixup,imx53-sdma-firmware,SECTION,base)
	@$(call install_fixup,imx53-sdma-firmware,AUTHOR,"Markus niebel <markus.niebel@tqs.de>")
	@$(call install_fixup,imx53-sdma-firmware,DESCRIPTION,missing)

	@$(call install_copy, imx53-sdma-firmware, 0, 0, 0755, \
		/lib/firmware/imx/sdma)
	@$(call install_copy, imx53-sdma-firmware, 0, 0, 0644, \
		$(IMX53_SDMA_FIRMWARE_DIR)/sdma-imx53.bin, \
		/lib/firmware/imx/sdma/sdma-imx53.bin)
	@$(call install_finish,imx53-sdma-firmware)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/imx53-sdma-firmware.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IMX53_SDMA_FIRMWARE)

# vim: syntax=make
