# -*-makefile-*-
#
# Copyright (C) 2013 by TQ Systems GmbH
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TQ_EXAMPLES_QT) += tq_examples-qt

#
# Paths and names
#
#ifdef PTXCONF_TQ_EXAMPLES_QT_TRUNK
#TQ_EXAMPLES_QT_VERSION	:= trunk
#else
TQ_EXAMPLES_QT_VERSION		:= 0.1
TQ_EXAMPLES_QT_MD5		:=
#endif
TQ_EXAMPLES_QT			:= tq_examples-qt
TQ_EXAMPLES_QT_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(TQ_EXAMPLES_QT)
TQ_EXAMPLES_QT_DIR		:= $(BUILDDIR)/$(TQ_EXAMPLES_QT)
TQ_EXAMPLES_QT_BUILD_OOT	:= YES
TQ_EXAMPLES_QT_LICENSE		:= GPL

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(TQ_EXAMPLES_QT_SOURCE):
#	@$(call targetinfo)
#	@$(call get, TQ_EXAMPLES_QT)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TQ_EXAMPLES_QT_CONF_ENV	:= $(CROSS_ENV)

#
# qmake
#
TQ_EXAMPLES_QT_CONF_TOOL	:= qmake
TQ_EXAMPLES_QT_CONF_OPT	:= $(CROSS_QMAKE_OPT) PREFIX=/usr

ifdef PTXCONF_TQ_EXAMPLES_QT_QSAD
TQ_EXAMPLES_QT_CONF_OPT	+= "CONFIG += QSAD"
endif

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tq_examples-qt.targetinstall:
	@$(call targetinfo)

	@$(call install_init, tq_examples-qt)
	@$(call install_fixup, tq_examples-qt, PRIORITY, optional)
	@$(call install_fixup, tq_examples-qt, SECTION, base)
	@$(call install_fixup, tq_examples-qt, AUTHOR, "TQ Systems GmbH")
	@$(call install_fixup, tq_examples-qt, DESCRIPTION, missing)

#	#
#	# example code:; copy all binaries
#	#

	@for i in $(shell cd $(TQ_EXAMPLES_QT_PKGDIR) && find bin sbin usr/bin usr/sbin -type f); do \
		$(call install_copy, tq_examples-qt, 0, 0, 0755, -, /$$i); \
	done

#	#
#	# FIXME: add all necessary things here
#	#

	@$(call install_finish, tq_examples-qt)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/tq_examples-qt.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, TQ_EXAMPLES_QT)

# vim: syntax=make
