# -*-makefile-*-
#
# Copyright (C) 2012 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_WLAN_INIT) += wlan-init

WLAN_INIT_VERSION	:= 1

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/wlan-init.targetinstall:
	@$(call targetinfo)

	@$(call install_init, wlan-init)
	@$(call install_fixup,wlan-init,PRIORITY,optional)
	@$(call install_fixup,wlan-init,SECTION,base)
	@$(call install_fixup,wlan-init,AUTHOR,"Michael Olbrich <m.olbrich@pengutronix.de>")
	@$(call install_fixup,wlan-init,DESCRIPTION,missing)

	@$(call install_alternative, wlan-init, 0, 0, 0755, \
		/lib/systemd/systemd-wlan-enable)

	@$(call install_alternative, wlan-init, 0, 0, 0644, \
		/lib/systemd/system/wlan-enable.service)
	@$(call install_link, wlan-init, ../wlan-enable.service, \
		/lib/systemd/system/multi-user.target.wants/wlan-enable.service)

	@$(call install_finish,wlan-init)

	@$(call touch)

# vim: syntax=make
